<div class="container content-center" style="padding-bottom: 10%">
  <div
    class="flex columns-2 gap-8 z-50"
    style="padding: 5%; margin-left: 15%; margin-top: -3%"
  >
    <div style="margin-top: -5%">
      <img src="../../../assets/images/pikachu.png" width="80%" height="80%" />
    </div>
    <div style="text-align: left; margin-top: 15%; margin-left: -14%">
      <form class="justify-center">
        <h2
          class="block text-5xl w-auto text-sky-600"
          style="font-family: 'Silkscreen', cursive"
        >
          Pokemon Trainer
        </h2>
        <h5
          class="text-2xl z-20 text-sky-600"
          style="font-family: 'Anybody', 'regular'; padding-bottom: 10%"
        >
          Get started
        </h5>
      </form>
    </div>
  </div>
  <div></div>

  <div
    class="flex justify-center items-center"
    style="text-align: center; margin-top: -8%"
  >
    <form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm)" class="">
      <div class="columns-3xs gap-3" style="padding: 5%">
        <input
          type="text"
          ngModel
          #username="ngModel"
          name="username"
          id="username"
          class="rounded-full px-3 py-1.5 w-96 text-base font-normal text-gray-700 bg-white bg-clip-padding border border-solid border-gray-300 transition ease-in-out m-0 focus:text-gray-700 focus:bg-white focus:border-blue-00 focus:outline-none"
          placeholder="Username"
          style="padding-bottom: 2%; margin-bottom: 5%"
          required
          minlength="2"
        />
        <div
          *ngIf="username.errors && (username.dirty || username.touched)"
          style="color: red; margin-bottom: 2%; margin-top: 2%"
        >
          Username is required and must be at least 2 characters
        </div>
        <button
          type="submit"
          [disabled]="loginForm.invalid"
          class="login-button pl-6 pr-6 pt-3 pb-2 rounded-full bg-sky-600 hover:bg-sky-700 active:bg-blue-700 focus:outline-none focus:ring focus:ring-sky-800 text-slate-50 text-2xl"
          style="font-family: 'Anybody', 'regular'"
        >
          Login
        </button>
      </div>
    </form>
  </div>
</div>
